#!/bin/sh

podman pod create --name postgres-pod \
       --replace=true \
       -p 5080:80 \
       -p 5432:5432

podman run --name main-db --pod postgres-pod --replace=true \
       --pull=always \
       -v pgdata:/var/lib/postgresql/data \
       -e POSTGRES_PASSWORD=postgres \
       -d postgres:14

podman run --name pgadmin --pod postgres-pod --replace=true \
       --pull=always \
       -v pgadmindata:/var/lib/pgadmin \
       -e PGADMIN_DEFAULT_EMAIL="hello@postgres.xyz" \
       -e PGADMIN_DEFAULT_PASSWORD="postgres" \
       -d dpage/pgadmin4
